import React from 'react'
import { Image } from 'react-native-svg'

interface Building {
  id: number
  name: string
  floors: number
}

function IndoorFloor(props) {
  const floors = [
    <Image height={"100%"} width={"100%"} href={require('./MainMapComponent/images/basement.png')} />,
    <Image height={'100%'} width="100%" href={require('./MainMapComponent/images/firstfloor.png')} />,
    <Image height={"100%"} width={"100%"} href={require('./MainMapComponent/images/secondfloor.png')} />,
    <Image height={"100%"} width={"100%"} href={require('./MainMapComponent/images/thirdfloor.png')} />,
    <Image height={"100%"} width={"100%"} href={require('./MainMapComponent/images/fourthfloor.png')} />,
    <Image height={"100%"} width={"100%"} href={require('./MainMapComponent/images/fifthfloor.png')} />,
  ]

  return floors[props.floorNum]
}

export default IndoorFloor
